# CvLSHOperations Struct Reference

`#include <imgproc.hpp>`

List of all members.

## Public Member Functions

virtual void | hash_insert (lsh_hash h, int l, int i)=0
virtual int | hash_lookup (lsh_hash h, int l, int *ret_i, int ret_i_max)=0
virtual void | hash_remove (lsh_hash h, int l, int i)=0
virtual int | vector_add (const void *data)=0
virtual unsigned int | vector_count ()=0
virtual const void * | vector_lookup (int i)=0
virtual void | vector_remove (int i)=0
virtual void | vector_reserve (int n)=0
virtual | ~CvLSHOperations ()

## Constructor & Destructor Documentation

virtual CvLSHOperations::~CvLSHOperations | ( | ) | `[inline, virtual]`

## Member Function Documentation

virtual void CvLSHOperations::hash_insert | ( | lsh_hash | h,
|  | int | l,
|  | int | i
| ) |  | `[pure virtual]`

virtual int CvLSHOperations::hash_lookup | ( | lsh_hash | h,
|  | int | l,
|  | int * | ret_i,
|  | int | ret_i_max
| ) |  | `[pure virtual]`

virtual void CvLSHOperations::hash_remove | ( | lsh_hash | h,
|  | int | l,
|  | int | i
| ) |  | `[pure virtual]`

virtual int CvLSHOperations::vector_add | ( | const void * | data ) | `[pure virtual]`

virtual unsigned int CvLSHOperations::vector_count | ( | ) | `[pure virtual]`

virtual const void* CvLSHOperations::vector_lookup | ( | int | i ) | `[pure virtual]`

virtual void CvLSHOperations::vector_remove | ( | int | i ) | `[pure virtual]`

virtual void CvLSHOperations::vector_reserve | ( | int | n ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/imgproc/include/opencv2/imgproc/imgproc.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines